#ifndef DEFINITIONS_H
#define DEFINITIONS_H

#define BSL_ACK 0x00
#define BSL_HEADER 0x80
#define MAX_BUFFER_SIZE 257
#define HALFWORD_ADDRESSED 0
#define WORD_ADDRESSED 1


#define SPI_STANDARD_BAUDRATE 125000
#define I2C_STANDARD_BAUDRATE 100000
#define UART_STANDARD_BAUDRATE 9600


typedef struct {
	unsigned long int size;
	unsigned char data [MAX_BUFFER_SIZE];
} dataBuffer;

typedef struct DataBlock_ {
	unsigned char data[257];
	unsigned int numberOfBytes;
	unsigned long int startAddr;
} DataBlock;

#endif